summaryrefslogtreecommitdiff
path: root/elf/ldd.sh.in
diff options
context:
space:
mode:
authorUlrich Drepper <drepper@redhat.com>1996-08-16 01:33:20 +0000
committerUlrich Drepper <drepper@redhat.com>1996-08-16 01:33:20 +0000
commit2de99474c3d4278fb874bbbc12c24c388f786c21 (patch)
treef0622a362f5ec61739b9e6a8ae25b0e6cdf4fccf /elf/ldd.sh.in
parentad86485dcf2a4391fbc92e2d8f7c8d44d334ff0d (diff)
update from main archive 960815cvs/libc-960816
Diffstat (limited to 'elf/ldd.sh.in')
-rw-r--r--elf/ldd.sh.in4
1 files changed, 2 insertions, 2 deletions
diff --git a/elf/ldd.sh.in b/elf/ldd.sh.in
index 82946fd535..78fda69d22 100644
--- a/elf/ldd.sh.in
+++ b/elf/ldd.sh.in
@@ -18,7 +18,7 @@ case $# in
*) file="./$1" ;;
esac
if ${RTLD} --verify "$file"; then
- LD_TRACE_LOADED_OBJECTS=1 exec "$file" && exit 1
+ LD_TRACE_LOADED_OBJECTS=1 exec ${RTLD} "$file" && exit 1
else
echo ' not a dynamic executable'
fi
@@ -32,7 +32,7 @@ case $# in
*) file="./$file" ;;
esac
if ${RTLD} --verify "$file"; then
- LD_TRACE_LOADED_OBJECTS=1 "$file"
+ LD_TRACE_LOADED_OBJECTS=1 ${RTLD} "$file"
else
echo ' not a dynamic executable'
fi